/*
 * Counter
 *
 * Index
 * - Input
 * - Buttons
 * - Sizes
 */

/**
 * @prop --counter-margin-bottom: margin bottom of the field
 */

:host {
  position: relative;
  z-index: 0;
  display: block;
}

/* INPUT
 -------------------- */

road-input {
  --input-text-align: center;
  --border-radius: 0;
  --margin-bottom: 0;
}

/* BUTTONS
 -------------------- */

road-button {
  width: 3rem;
  font-size: var(--road-font-size-24);
  line-height: 1.4;
  background: var(--road-surface);
  border: 1px solid var(--road-button-tertiary-outline);
}

road-button:hover,
road-button:focus {
  background: var(--road-button-tertiary-variant);
}

road-button road-icon{
  display: flex;
  fill: var(--road-primary);
}

.disabled {
  margin-right: -1px;
  margin-left: -1px;
  pointer-events: none;
  cursor: not-allowed;
  background: var(--road-surface-disabled);
  border: 1px solid var(--road-on-surface-disabled);
  opacity: inherit;
}

.disabled:focus {
  background: var(--road-disabled);
}

.disabled road-icon {
  fill: var(--road-grey-50);
}


/* SIZES
 -------------------- */

road-button.btn-md{
  width: 2.5rem;
}

road-button.btn-sm{
  width: 2rem;
}

.counter-md {
  height: 2.5rem;
}

.counter-sm {
  height: 2rem;
}

.counter-md road-input {
  --height: 2.5rem;
}

.counter-md road-button {
  min-width: 2.5rem;
}

.counter-sm road-input {
  --height: 2rem;
}

.counter-sm road-button {
  min-width: 2rem;
}
